Uploaded image for project: 'Spring Tool Suite'
  1. Spring Tool Suite
  2. STS-481

Package version changes on selecting its properties in the manifest overview tab

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Complete
    • Affects Version/s: 2.1.0.M2
    • Fix Version/s: Sprint 9, 2.3.1.RELEASE
    • Component/s: None
    • Labels:
      None
    • Environment:
      Windows xp OS

      Description

      Create a new DMServer -> Bundle Project. Open the manifest file and switch to the Dependencies tab. Import a package by clicking on the Add button for eg. com.springsource.kernel.deployer 2.0.0. Now select this package in the listbox, and click on the 'Properties button. Click OK. The maximum version part of the package changes from incusive to exclusive.

        Activity

        Hide
        ldossantos Leo Dos Santos (c) [X] added a comment -

        I see the tooling convert version=[2.0.0,2.0.0] to version="2.0.0", which is equivalent and not an error. Is this what you're seeing? I can't make it reproduce version=[2.0.0,2.0.0) unless I explicitly change it in the properties dialog.

        Show
        ldossantos Leo Dos Santos (c) [X] added a comment - I see the tooling convert version= [2.0.0,2.0.0] to version="2.0.0", which is equivalent and not an error. Is this what you're seeing? I can't make it reproduce version=[2.0.0,2.0.0) unless I explicitly change it in the properties dialog.

          People

          • Assignee:
            Unassigned
            Reporter:
            pa7751 Param
          • Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: